/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {

dojo.provide("com.ibm.rational.report.web.cq.app.internal.SideNavigationLayout");

dojo.require("com.ibm.rational.report.web.core.app.internal.common.SideNavigationLayout");
dojo.require("com.ibm.rational.report.web.core.app.internal.common.SideNavSection");

/*
 * Displays the Left Navigator.
 */
dojo.declare(
	"com.ibm.rational.report.web.cq.app.internal.SideNavigationLayout",
	com.ibm.rational.report.web.core.app.internal.common.SideNavigationLayout, {
	
	postCreate: function() {
		this.inherited("postCreate", arguments);
	},
	
	addNavigationSection: function(contentNode, title, menu) {
		var navElement = new com.ibm.rational.report.web.core.app.internal.common.SideNavSection(
				{o: contentNode, title: title, showSeparator: this._firstNavSectionLoaded, menu: menu },
				document.createElement("div")
			);
		this._leftNav.appendChild(navElement.domNode);
		return navElement;
	}
	
});

})();